// #############################################################################
// # qdmx.c - DMX replacement for the original sound2light controller in       #
// #          "Quark Roller" light effect                                      #
// #############################################################################
// # Version: 1.0 - Compiler: AVR-GCC 4.3.3 (Linux)                            #
// #  (c) 2009 by Malte Pöggel - www.MALTEPOEGGEL.de - malte@maltepoeggel.de   #
// #############################################################################
// #  This program is free software; you can redistribute it and/or modify it  #
// #   under the terms of the GNU General Public License as published by the   #
// #        Free Software Foundation; either version 3 of the License,         #
// #                  or (at your option) any later version.                   #
// #                                                                           #
// #      This program is distributed in the hope that it will be useful,      #
// #      but WITHOUT ANY WARRANTY; without even the implied warranty of       #
// #           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.            #
// #           See the GNU General Public License for more details.            #
// #                                                                           #
// #  You should have received a copy of the GNU General Public License along  #
// #      with this program; if not, see <http://www.gnu.org/licenses/>.       #
// #############################################################################

#ifndef QDMX_H
  #define QDMX_H

  #include <avr/io.h>

  #define LAMP_TIMEOUT 0xFFFFF

  // Port macros
  #define DDR_LED1 DDRB
  #define PRT_LED1 PORTB
  #define PIN_LED1 PB3

  #define DDR_LED2 DDRB
  #define PRT_LED2 PORTB
  #define PIN_LED2 PB4

  #define DDR_LAMP DDRB
  #define PRT_LAMP PORTB
  #define PIN_LAMP PB6

#endif
